> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Reimbursement



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/alpha/reimbursements
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/reimbursements:
    post:
      tags:
        - reimbursements
        - quanta-services-api
      summary: Create Reimbursement
      operationId: create_reimbursement
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateReimbursementRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReimbursementResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateReimbursementRequest:
      properties:
        external_id:
          type: string
          minLength: 1
          title: External Id
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Input'
        effective_date:
          type: string
          format: date
          title: Effective Date
        description:
          type: string
          minLength: 1
          title: Description
        spend_booking_items:
          anyOf:
            - items:
                $ref: '#/components/schemas/VendorBookingItemData'
              type: array
            - type: 'null'
          title: Spend Booking Items
      type: object
      required:
        - external_id
        - amount
        - effective_date
        - description
      title: CreateReimbursementRequest
    CreateReimbursementResponse:
      properties:
        event_qid:
          type: string
          title: Event Qid
      type: object
      required:
        - event_qid
      title: CreateReimbursementResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MonetaryAmount-Input:
      properties:
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
      type: object
      required:
        - amount
        - currency
      title: MonetaryAmount
      description: Immutable monetary value with currency.
    VendorBookingItemData:
      properties:
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Input'
        description:
          type: string
          title: Description
        vendor_booking_attributes:
          anyOf:
            - $ref: '#/components/schemas/VendorBookingAttributes-Input'
            - $ref: '#/components/schemas/UncategorizedBookingAttributes'
          title: Vendor Booking Attributes
        source_type:
          $ref: '#/components/schemas/SourceType'
        recognition:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/PrepaidSpec'
                - $ref: '#/components/schemas/PrepaidData-Input'
                - $ref: '#/components/schemas/FixedAssetSpec'
                - $ref: '#/components/schemas/FixedAssetData-Input'
                - $ref: '#/components/schemas/LegacyAccrualSpec'
              discriminator:
                propertyName: vendor_recognition_type
                mapping:
                  ACCRUAL_SPEC: '#/components/schemas/LegacyAccrualSpec'
                  FIXED_ASSET_DATA: '#/components/schemas/FixedAssetData-Input'
                  FIXED_ASSET_SPEC: '#/components/schemas/FixedAssetSpec'
                  PREPAID_DATA: '#/components/schemas/PrepaidData-Input'
                  PREPAID_SPEC: '#/components/schemas/PrepaidSpec'
            - type: 'null'
          title: Recognition
        match:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/SourceMatchInfo'
                - $ref: '#/components/schemas/BalanceTransactionMatchInfo-Input'
              discriminator:
                propertyName: type
                mapping:
                  balance_transaction: '#/components/schemas/BalanceTransactionMatchInfo-Input'
                  source_match: '#/components/schemas/SourceMatchInfo'
            - type: 'null'
          title: Match
        provenance:
          anyOf:
            - $ref: '#/components/schemas/BookingProvenance'
            - type: 'null'
      type: object
      required:
        - amount
        - description
        - vendor_booking_attributes
        - source_type
      title: VendorBookingItemData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Currency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - XSU
        - XUA
        - YER
        - ZAR
        - ZMW
        - ZWL
      title: Currency
    VendorBookingAttributes-Input:
      properties:
        gl_account:
          $ref: '#/components/schemas/Account'
        vendor:
          anyOf:
            - $ref: '#/components/schemas/Vendor'
            - type: 'null'
        department:
          anyOf:
            - $ref: '#/components/schemas/Department'
            - $ref: '#/components/schemas/NoDepartment'
          title: Department
      type: object
      required:
        - gl_account
        - vendor
        - department
      title: VendorBookingAttributes
    UncategorizedBookingAttributes:
      properties:
        gl_account:
          $ref: '#/components/schemas/Account'
        department:
          anyOf:
            - $ref: '#/components/schemas/Department'
            - $ref: '#/components/schemas/NoDepartment'
          title: Department
      type: object
      required:
        - gl_account
        - department
      title: UncategorizedBookingAttributes
    SourceType:
      type: string
      enum:
        - bank
        - credit_card
        - stripe_balance_transaction
        - reimbursement
        - payroll_reimbursement
        - billpay
        - payroll
        - operational
      title: SourceType
    PrepaidSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: PREPAID_SPEC
          title: Vendor Recognition Type
          default: PREPAID_SPEC
        num_amortization_months:
          type: integer
          title: Num Amortization Months
        start_date:
          type: string
          format: date
          title: Start Date
        effective_day_of_the_month:
          $ref: '#/components/schemas/EffectiveDayOfTheMonth'
          default: last
      type: object
      required:
        - num_amortization_months
        - start_date
      title: PrepaidSpec
    PrepaidData-Input:
      properties:
        vendor_recognition_type:
          type: string
          const: PREPAID_DATA
          title: Vendor Recognition Type
          default: PREPAID_DATA
        items:
          items:
            $ref: '#/components/schemas/PrepaidItemData-Input'
          type: array
          minItems: 1
          title: Items
        service_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Service Start Date
      type: object
      required:
        - items
      title: PrepaidData
    FixedAssetSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: FIXED_ASSET_SPEC
          title: Vendor Recognition Type
          default: FIXED_ASSET_SPEC
        asset_type:
          $ref: '#/components/schemas/FixedAssetType'
        lifetime_months:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lifetime Months
        service_start_date:
          type: string
          format: date
          title: Service Start Date
      type: object
      required:
        - asset_type
        - service_start_date
      title: FixedAssetSpec
    FixedAssetData-Input:
      properties:
        vendor_recognition_type:
          type: string
          const: FIXED_ASSET_DATA
          title: Vendor Recognition Type
          default: FIXED_ASSET_DATA
        asset_type:
          $ref: '#/components/schemas/FixedAssetType'
        purchase_date:
          type: string
          format: date
          title: Purchase Date
        items:
          items:
            $ref: '#/components/schemas/FixedAssetItemData-Input'
          type: array
          minItems: 1
          title: Items
      type: object
      required:
        - asset_type
        - purchase_date
        - items
      title: FixedAssetData
    LegacyAccrualSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: ACCRUAL_SPEC
          title: Vendor Recognition Type
          default: ACCRUAL_SPEC
        accrual_date:
          type: string
          format: date
          title: Accrual Date
      type: object
      required:
        - accrual_date
      title: LegacyAccrualSpec
    SourceMatchInfo:
      properties:
        type:
          type: string
          const: source_match
          title: Type
        targets:
          items:
            $ref: '#/components/schemas/SourceMatchTarget'
          type: array
          minItems: 1
          title: Targets
      type: object
      required:
        - type
        - targets
      title: SourceMatchInfo
    BalanceTransactionMatchInfo-Input:
      properties:
        type:
          type: string
          const: balance_transaction
          title: Type
        transaction_qids:
          items:
            $ref: '#/components/schemas/BalanceTransactionMatch-Input'
          type: array
          minItems: 1
          title: Transaction Qids
      type: object
      required:
        - type
        - transaction_qids
      title: BalanceTransactionMatchInfo
    BookingProvenance:
      properties:
        gl_account:
          anyOf:
            - $ref: '#/components/schemas/GlAccountAttributeProvenance'
            - type: 'null'
        department:
          anyOf:
            - $ref: '#/components/schemas/DepartmentAttributeProvenance'
            - type: 'null'
      type: object
      title: BookingProvenance
    Account:
      properties:
        org_qid:
          type: string
          title: Org Qid
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/AccountType'
        lookup_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Lookup Id
        overrides:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Overrides
        is_leaf_account:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Leaf Account
        booking_disabled_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Booking Disabled On
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
      type: object
      required:
        - org_qid
        - qid
        - name
        - type
      title: Account
    Vendor:
      properties:
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
      type: object
      required:
        - qid
        - name
      title: Vendor
    Department:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        source:
          $ref: '#/components/schemas/OrganizationSource'
        source_qid:
          type: string
          title: Source Qid
        name:
          type: string
          title: Name
        parent_department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Department Qid
        group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Name
      type: object
      required:
        - qid
        - org_qid
        - source
        - source_qid
        - name
      title: Department
    NoDepartment:
      properties:
        qid:
          type: 'null'
          title: Qid
        name:
          type: 'null'
          title: Name
      type: object
      title: NoDepartment
    EffectiveDayOfTheMonth:
      type: string
      enum:
        - first
        - last
      title: EffectiveDayOfTheMonth
    PrepaidItemData-Input:
      properties:
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
      type: object
      required:
        - amount
        - effective_date
      title: PrepaidItemData
    FixedAssetType:
      type: string
      enum:
        - Computer
        - Furniture
        - Leasehold Improvements
      title: FixedAssetType
    FixedAssetItemData-Input:
      properties:
        amount:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
      type: object
      required:
        - amount
        - effective_date
      title: FixedAssetItemData
    SourceMatchTarget:
      properties:
        qid:
          type: string
          title: Qid
        entity_type:
          type: string
          enum:
            - brex_reimbursement
            - ramp_reimbursement
            - reimbursement_bank_repayment
            - payroll
            - payroll_payment
            - payroll_liability_manual_adjustment
          title: Entity Type
      type: object
      required:
        - qid
        - entity_type
      title: SourceMatchTarget
    BalanceTransactionMatch-Input:
      properties:
        transaction_qid:
          type: string
          title: Transaction Qid
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Input'
      type: object
      required:
        - transaction_qid
        - amount
      title: BalanceTransactionMatch
    GlAccountAttributeProvenance:
      type: string
      enum:
        - VENDOR_MAPPING
        - BOOKING_AGENT
      title: GlAccountAttributeProvenance
    DepartmentAttributeProvenance:
      type: string
      enum:
        - GL_ACCOUNT_MAPPING
        - VENDOR_DEPARTMENT_MAPPING
        - CARDHOLDER_MAPPING
        - USER_MAPPING
        - BOOKING_AGENT
      title: DepartmentAttributeProvenance
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
    OrganizationSource:
      type: string
      enum:
        - Brex
        - Deel
        - Gusto
        - Justworks
        - Rippling
        - Ramp
        - Manual
        - Mercury
        - SequoiaOne
        - Central
        - Warp
      title: OrganizationSource
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.